# Agenten Plattform
#
# (c) 2024 Magnus Bender
# 	Institute of Humanities-Centered Artificial Intelligence (CHAI)
# 	Universitaet Hamburg
# 	https://www.chai.uni-hamburg.de/~bender
#  
# source code released under the terms of GNU Public License Version 3
# https://www.gnu.org/licenses/gpl-3.0.txt

"""
	This file contains shared constants.
	See the content ...
"""

import os, logging

BASE_PATH = '/ums-agenten'
SHARE_PATH = os.path.join(BASE_PATH, 'share')
PERSIST_PATH = os.path.join(BASE_PATH, 'persist')
PUBLIC_PATH = os.path.join(BASE_PATH, 'plattform', 'web', 'public')
TEMPLATE_PATH = os.path.join(BASE_PATH, 'plattform', 'web', 'templates')

LOG_FILE = os.path.join(PERSIST_PATH, 'ums.log')
LOG_LEVEL = logging.INFO